=== debian/changelog ===
freefilesync (10.14-2~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jul 2019 15:37:24 -0700

freefilesync (10.14-2+devuan) manual; urgency=low

  * Completely disable the update-check

 -- B Stack <bgstack15@gmail.com>  Tue, 16 Jul 2019 12:56:46 -0400

freefilesync (10.14-1+devuan) manual; urgency=low

  * Warn if versioning folder paths differ only in case
  * Fixed empty HTTP response during update check (macOS/Linux)
  * Warn if Donation Edition is active on unexpected number of machines
  * Use subdomain for application update checks
  * Consider cache control for HTTP GET requests
  * Access all web endpoints over TLS
  * Fixed character encoding issue in update reminder (macOS/Linux)

 -- B Stack <bgstack15@gmail.com>  Mon, 15 Jul 2019 15:24:12 -0400

freefilesync (10.13-1+devuan) manual; urgency=low

  * Allow to rename configurations via context menu
  * Work around hang on SMB network with broken FileFullDirectoryInformation
  * Work around SMB share returning empty item name
  * Detect and preempt keyman64.dll crash on exit
  * Manage notification sounds via global options dialog
  * Support 32-bit Debian Jessie and later releases
  * Work around silent failure to case-only rename on FAT drives (Windows 10)
  * Simplified installation folder structure
  * Update main grid scrollbars when resizing columns on other side
  * Preserve input focus when clicking on grid column label
  * Buffer result of process path normalization
  * Mirror middle grid icons for RTL layout (Linux)
  * Force LTR layout until wxWidgets supports RTL (macOS)
  * Fixed pair scrolling mismatch when grid height is exceeded by one row
  * Fixed startup failure due to missing /etc/machine-id (Linux)

 -- B Stack <bgstack15@gmail.com>  Sat, 15 Jun 2019 10:40:49 -0400

freefilesync (10.12-1+devuan) manual; urgency=low

  * Show sync start time and date in progress dialog title
  * Added duration of comparison to log
  * Show all total times in full HH:MM:SS format
  * Added sync start time to log file header
  * Add Windows Defender exclusions to fix CURLE_OPERATION_TIMEDOUT
  * New RealTimeSync option to hide console window
  * Support launching through symlink (Windows)
  * Dropped support for Windows XP, Server 2003, and Vista
  * Reduced installation size by 25%

 -- B Stack <bgstack15@gmail.com>  Sun, 13 May 2019 21:51:30 -0500

freefilesync (10.11-1+devuan) manual; urgency=low

  * Last FreeFileSync version supporting Windows XP and Vista
  * Fixed crash on multi-monitor set up
  * Fixed dialogs not showing after opening UAC prompt
  * Support launching through symlink (Linux)
  * Added example desktop starter files (Linux)
  * Fixed misleading error when determining file permissions support
  * Updated wxWidgets, libcurl, libssh2, VS, GCC, Xcode

 -- B Stack <bgstack15@gmail.com>  Fri, 12 Apr 2019 13:30:42 -0500

freefilesync (10.10-1devuan) manual; urgency=low

  * New option: synchronize selection
  * Dynamically disable unsuitable context menu options
  * Support MTP devices without move command
  * Fall back to copy/delete when implicitly moving to different device (e.g. symlink)
  * Fixed incorrect statistics after parallel move
  * Fixed menu button not triggering context menu
  * Fixed crash on focus change while message popup is dismissed
  * Fixed crash when trying to shrink empty image
  * Fixed invisible dialogs when monitor is turned off in multi-monitor setup
  * Work around GetFileInformationByHandle error code 58 on WD My Cloud EX
  * Changing deletion handling now correctly triggers updated config
  * Support root-relative FTP file paths (e.g. FreeNAS)
  * Move and rename MTP items as a transaction
  * Exclude AppleDouble files (._) via default filter on macOS
  * Support home path for FTP folder picker
  * Use server default permissions when creating SFTP folder
  * Use native OpenSSL AES-CTR rather than libssh2 fallback
  * Added context information for cloud connection errors
  * Updated translation files

freefilesync (10.9-1devuan) manual; urgency=low

  * Added FTP, SFTP, Google Drive support for Linux
  * FreeFileSync Donation Edition available for Linux
  * Compress file stream during Google Drive upload
  * Navigate beyond access-denied parents in SFTP folder picker
  * Fixed unexpected stream size error during FTP upload
  * Support native recursive deletion for Google Drive
  * Support native recursive deletion for MTP
  * Deterministically save Google Drive state during exit
  * Work around missing TMPDIR variable (Linux)
  * Support SFTP servers returning large package sizes during folder reading
  * Start with home path when using SFTP folder picker
  * Aggregate device authentication prompts during comparison
  * Clean up temp file after unexpected stream size error
  * Work around FTP servers not supporting HELP command
  * Support parsing path by volume name when volume is missing
  * Parse and streamline Google Drive error messages
  * Load next item after deleting from config history
  * Avoid redundant Google Drive syncs after file/folder creation
  * Avoid duplicate MTP item creation by multiple threads

 -- B Stack <bgstack15@gmail.com>  Thu, 14 Feb 2019 10:46:09 -0500

freefilesync (10.8-1devuan) manual; urgency=low

  * Initial release.

 -- B Stack <bgstack15@gmail.com>  Tue, 29 Jan 2019 09:20:41 -0500
