=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: B Stack <bgstack15@gmail.com>
Build-Depends: debhelper (>=11~),
               autotools-dev,
               imagemagick,
               libcurl4-openssl-dev,
               libgtk2.0-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-dev,
               wx3.0-headers,
               unzip
Standards-Version: 4.1.4
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         xdg-utils
Description: 
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.
