=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export appname=freefilesync
export pkgname=FreeFileSync
export prog2name=RealTimeSync
export debuilddir="debian"
export debuildappdir="${pkgname}"
export buildroot="${debuilddir}/${appname}"
export _datadir="/usr/share"
export _bindir="/usr/bin"

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -f ${pkgname}.png ${prog2name}.png file_batch.png

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=FreeFileSync/Source
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# removed by upstream!
	#dh_auto_install
	#dh_auto_install --sourcedirectory=FreeFileSync/Source
	#dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	install -d ${buildroot}${_bindir} ${buildroot}${_datadir}/${appname}
	install -Dm 0755 -t ${buildroot}${_bindir} ${debuildappdir}/Build/Bin/${pkgname} ${debuildappdir}/Build/Bin/${prog2name}
	cp -pr ${debuildappdir}/Build/Resources/* ${buildroot}${_datadir}/${appname}

	# make extra sure the files are not marked with executable
	find ${debuildappdir}/share/${pkgname} -type f -exec chmod -x '{}' \; || :

	# desktop files
	# handled by dpkg already

	# application start script
	# none

	# man pages
	# none

	# mimetypes
	# handled by dpkg already

	# icons
	unzip ${pkgname}/Build/Resources/Icons.zip file_batch.png file_sync.png
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes
	# apps
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${prog2name}.png
	# mimetypes
	convert file_batch.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-batch.png
	convert file_sync.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-real.png

	rm -f file_batch.png file_sync.png
