=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://gitlab.com/opensource-tracking/FreeFileSync/-/archive/([\d\.]+)/FreeFileSync-([\d\.]+).tar.gz
