=== debian/changelog ===
freefilesync (11.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 May 2021 15:08:54 -0700

freefilesync (11.10-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Fixed comparison results cleared after mouse-scrolling the first folder
     pair
   - Stricter base folder existence checks before synchronization
   - Disable all file pairs when base folder status cannot be determined
   - Fixed sync statistics if base folder existence test failed
   - Work around glitch in grid scrollbar size calculation
   - Fixed folder drag and drop failing after locale conflict (macOS)
   - Fixed incorrect mime permissions after installation (Linux)
   - Stricter server response validation during update check
   - Fixed incomplete item path in log if source item is missing
   - Fixed installation error when running ConEmu
   - Support starting FreeFileSync as root login user (Linux)

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 09:39:18 +0000

freefilesync (11.9-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Save different layouts depending on screen resolution
   - Fixed large file icon scaling quality (Windows)
   - Fixed broken default filter excluding DocumentRevisions (macOS)
   - Don't immediately exit terminal when installer error is showing (Linux)
   - Explicitly set file permissions when installing missing directories (Linux)
   - Support installation using noexec temp directory (Linux)
   - Don't fail installation if root is the only user (Linux)
   - Added automatic socket close on execv (Linux, macOS)
   - Fixed Google Drive login hanging after authentication (Linux)
   - Correctly generate and parse Windows epoch time (Windows, macOS)

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 03 Apr 2021 09:22:31 +0000

freefilesync (11.8-1~xtradeb1) focal; urgency=medium

  * New upstream release: 11.8.
   - Fixed unexpected file size error when copying to (S)FTP, and Google Drive
  * New upstream release: 11.7.
   - Detect moved files on FTP (if server supports MLSD)
   - Allow installation only for current or all users (Linux)
   - Added application uninstaller: uninstall.sh (Linux)
   - Use login user config path when running as root (macOS, Linux)
   - Fixed detection of moved files with unstable device IDs (macOS, Linux)
   - Strict checking for duplicate file IDs
   - Avoid EINVAL invalid argument error when using F_PREALLOCATE (macOS)
   - Restore input focus after closing log panel
   - Double-click on file to open Google Drive web interface
   - Fixed alpha channel image scaling glitch
   - Fixed recycle bin folders being created recursively
   - Fixed thread count status message fluctuation
   - Don't quit FreeFileSync when parent terminal is closed (SIGHUP)
   - Fixed "Operation not supported" error when setting directory locks
   - Show folder picker despite SHCreateItemFromParsingName() error
   - Work around "OLE received a packet with an invalid header" error

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 13 Mar 2021 14:07:03 +0000

freefilesync (11.6-1~xtradeb2) focal; urgency=medium

  * Patch to ensure we use g++-10

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 07 Feb 2021 18:57:04 +0000

freefilesync (11.6-1~xtradeb1) focal; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 02 Feb 2021 20:09:26 +0000

freefilesync (9.2-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 04 Jul 2017 15:09:18 +0200
