=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
Build-Depends: debhelper-compat (= 12),
               g++-10,
               imagemagick,
               intltool,
               libcurl4-openssl-dev,
               libgtk-3-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               libzenxml2.0-dev (>= 2.4),
               wx3.0-headers
Standards-Version: 4.5.0
Homepage: http://freefilesync.sourceforge.net/

Package: freefilesync
Architecture: any
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: folder comparison and synchronization tool
 This is a folder comparison and synchronization tool. It is optimized
 for highest performance and usability without restricted or overloaded
 UI interfaces.
 .
 Features:
  * Multiple folder pairs
  * Batch capability
  * Binary comparison
  * Handle conflicts and propagate deletions
  * Optimized performance
  * Transactional file copy
  * ...
