=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DESTRESDIR=$(CURDIR)/debian/tmp
export IMGDIR=$(DESTRESDIR)/usr/share/icons/hicolor

%:
	dh $@ --sourcedirectory=FreeFileSync/Source

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -Rfv FreeFileSync/Build/Bin

override_dh_auto_build:
	dh_auto_build -- exeName=FreeFileSync
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync -- exeName=RealTimeSync

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	# Create package ico directories
	# Extract program icons:FreeFileSync, RealTimeSync, FreeFileSync Batch
	for SIZE in 256 128 48 32 16; do \
	    mkdir -p $(IMGDIR)/$${SIZE}x$${SIZE}/apps; \
	    mkdir -p $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes; \
	    convert debian/FreeFileSync.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/freefilesync.png; \
	    cd $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes/; ln -s ../apps/freefilesync.png application-x-freefilesync-ffs.png; cd $(CURDIR); \
	    convert debian/RealTimeSync.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/realtimesync.png; \
	    cd $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes/; ln -s ../apps/realtimesync.png application-x-freefilesync-real.png; cd $(CURDIR); \
	    convert debian/Batch.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/application-x-freefilesync-batch.png; \
	done
	# Build desktop files
	mkdir -p $(DESTRESDIR)/usr/share/applications
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/freefilesync.desktop.in $(DESTRESDIR)/usr/share/applications/freefilesync.desktop
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/realtimesync.desktop.in $(DESTRESDIR)/usr/share/applications/realtimesync.desktop

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym
