=== debian/watch ===
version=4	
http://www.freefilesync.org/download.php \
    (?:.*/)?FreeFileSync_([\d\.]+)_(?:s|S)ource\.zip
