## freefilesync 11.14

=== debian/changelog ===
freefilesync (11.14-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Nov 2021 14:39:03 -0800

freefilesync (11.14-1+devuan) obs; urgency=medium

  * Upstream updates
    - Authenticate (S)FTP connections using OpenSSL 3.0
    - Fixed E_NOINTERFACE error after synchronization
    - Preempt crashes due to Nahimic Sonic Studio 3
    - Hide main window when minimizing progress window (macOS)
    - Avoid second dock icon when minimizing progress window (macOS)
  * [bgstack15]
    - add ffs_openssl.patch to revert to openssl 1.1.1l dependency
    - add ffs_icon_loader.patch for libglib2.0-0 issue

 -- B. Stack <bgstack15@gmail.com>  Wed, 22 Sep 2021 07:45:04 -0400

freefilesync (11.13-1+devuan) obs; urgency=medium

  * Upstream updates
    - Manage default filter settings via GUI
    - Support arbitrary location for local app installation (macOS)
    - Fixed ERROR_FILE_NOT_FOUND masking real file access error (Windows)
    - Copy full file paths to clipboard (CTRL + C)
    - Preserve clipboard contents until after program exit
    - Always enable external command if independent of file items
    - Support installation without Rosetta2 on ARM64 (macOS)

 -- B. Stack <bgstack15@gmail.com>  Tue, 17 Aug 2021 19:25:55 -0400

freefilesync (11.12-1+devuan) obs; urgency=medium

  * Upstream updates
    - Native ARM64 build to support Apple silicon M1 (macOS)
    - Non-intrusive mouse highlight on file grid
    - Fixed /lib/i386-linux-gnu/libgcc_s.so.1: version `GCC_7.0.0' not found
    - Parse file times with no limits on time span (e.g. year 0, year 3000)
    - Show folder icon during drag and drop (Windows)
    - Show user name for (S)FTP display paths
    - Fixed FTP connection lost error with TLS 1.3
    - Present file sizes in powers of 1000 bytes (Linux, macOS)

 -- B. Stack <bgstack15@gmail.com>  Thu, 15 Jul 2021 10:00:37 -0400

freefilesync (11.11-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed Shared Drive synchronization with Google Drive
    - Directly open exported file list (.CSV) as temporary file
    - Avoid EIO error for F_PREALLOCATE (macOS)
    - Watch socket using "poll" instead of "select" (Linux, macOS)
    - Fixed user-specific time/date format (Windows)
    - Fixed system_profiler not found error (macOS)

 -- B. Stack <bgstack15@gmail.com>  Sat, 12 Jun 2021 11:54:19 -0400

freefilesync (11.10-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed comparison results cleared after mouse-scrolling the first folder pair
    - Stricter base folder existence checks before synchronization
    - Disable all file pairs when base folder status cannot be determined
    - Fixed sync statistics if base folder existence test failed
    - Work around glitch in grid scrollbar size calculation
    - Fixed folder drag and drop failing after locale conflict (macOS)
    - Fixed incorrect mime permissions after installation (Linux)
    - Stricter server response validation during update check
    - Fixed incomplete item path in log if source item is missing
    - Fixed installation error when running ConEmu
    - Support starting FreeFileSync as root login user (Linux)
  * [bgstack15]
    - improve ffs_no_check_updates.patch
    - add ffs_desktop_notifications.patch

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 May 2021 08:16:31 -0400

freefilesync (11.9-1+devuan) obs; urgency=medium

  * Upstream updates
    - Save different layouts depending on screen resolution
    - Fixed large file icon scaling quality (Windows)
    - Fixed broken default filter excluding DocumentRevisions (macOS)
    - Don't immediately exit terminal when installer error is showing
      (Linux)
    - Explicitly set file permissions when installing missing
      directories (Linux)
    - Support installation using noexec temp directory (Linux)
    - Don't fail installation if root is the only user (Linux)
    - Added automatic socket close on execv (Linux, macOS)
    - Fixed Google Drive login hanging after authentication (Linux)
    - Correctly generate and parse Windows epoch time (Windows, macOS)

 -- B. Stack <bgstack15@gmail.com>  Mon, 05 Apr 2021 11:04:34 -0400

freefilesync (11.8-1+devuan) UNRELEASED; urgency=medium

  * Upstream updates
    - Fixed unexpected file size error when copying to (S)FTP, and
      Google Drive

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Mar 2021 00:00:00 -0500

freefilesync (11.7-1+devuan) obs; urgency=medium

  * Upstream updates
    - Detect moved files on FTP (if server supports MLSD)
    - Allow installation only for current or all user(s) (Linux)
    - Added application uninstaller: uninstall.sh (Linux)
    - Use login user config path when running as root (macOS, Linux)
    - Fixed detection of moved files with unstable device IDs (macOS,
      Linux)
    - Strict checking for duplicate file IDs
    - Avoid EINVAL invalid argument error when using F_PREALLOCATE
      (macOS)
    - Restore input focus after closing log panel
    - Double-click on file to open Google Drive web interface
    - Fixed alpha channel image scaling glitch
    - Fixed recycle bin folders being created recursively
    - Fixed thread count status message fluctuation
    - Don't quit FreeFileSync when parent terminal is closed (SIGHUP)
    - Fixed "Operation not supported" error when setting directory locks
    - Show folder picker despite SHCreateItemFromParsingName() error
    - Work around "OLE received a packet with an invalid header" error
  * [bgstack15] By now, none of the old devuan-archive packages are
    necessary to build FreeFileSync: Only packages from mainline
    unstable release are required!

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Mar 2021 17:30:16 -0500

freefilesync (11.6-1+devuan) obs; urgency=medium

  * Upstream updates
    - New FreeFileSync installer (Linux)
    - New auto-updater for the Donation Edition (macOS, Linux)
    - Support reading FTP file symlinks

