=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: B. Stack <bgstack15@gmail.com>
Build-Depends: debhelper (>=12~),
               g++-10,
               imagemagick,
               libbrotli-dev,
               libcurl4-openssl-dev (>=7.68.0),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               unzip,
               wx3.0-headers
Standards-Version: 4.1.4
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform file sync utility, gpl release
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.
