=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export linkFlags="${LDFLAGS} -pie"

export appname=freefilesync
export pkgname=FreeFileSync
export prog2name=RealTimeSync
export debuilddir="debian"
export debuildappdir="${pkgname}"
export buildroot="${debuilddir}/${appname}"
export _datadir="/usr/share"
export _bindir="/usr/bin"

export TMPDIR=/tmp

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -f ${pkgname}.png ${prog2name}.png cfg_batch.png

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=FreeFileSync/Source
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# removed by upstream!
	#dh_auto_install
	#dh_auto_install --sourcedirectory=FreeFileSync/Source
	#dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	install -d ${buildroot}${_bindir} ${buildroot}${_datadir}/${appname}
	install -Dm 0755 -t ${buildroot}${_bindir} ${debuildappdir}/Build/Bin/${pkgname} ${debuildappdir}/Build/Bin/${prog2name}
	cp -pr ${debuildappdir}/Build/Resources/* ${buildroot}${_datadir}/${appname}

	# make extra sure the files are not marked with executable
	find ${debuildappdir}/share/${pkgname} -type f -exec chmod -x '{}' \; || :

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

	# icons
	unzip ${pkgname}/Build/Resources/Icons.zip cfg_batch.png start_sync.png ${pkgname}.png ${prog2name}.png
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes
	# apps
	convert ${pkgname}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${pkgname}.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${prog2name}.png
	# mimetypes
	convert cfg_batch.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-batch.png
	convert start_sync.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-real.png

	rm -f cfg_batch.png start_sync.png

override_dh_fixperms:
	dh_fixperms || :
	chmod 0644 ${buildroot}${_datadir}/${appname}/* || :
